import request from '/@/utils/request';

export function teamStrategyApi() {
    return {
        //获取班组策略分页列表
        getRecordPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/schedule/groupStrategy/page/list`,
                method: 'post',
                data: data
            });
        },

        // 班组策略新增
        addRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/schedule/groupStrategy/add`,
                method: 'post',
                data: data
            });
        },

        // 班组策略修改
        updateRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/schedule/groupStrategy/mod`,
                method: 'post',
                data: data
            });
        },

        // 班组策略删除
        deleteRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/schedule/groupStrategy/del`,
                method: 'post',
                data: data
            });
        }

        // 时间策略批量删除
        // deletBatchRecord: (data: object)=>{
        //     return request({
        //         url: `/timeStrategy/deleteBatchTimeStrategy`,
        //         method: 'post',
        //         data: data
        //     })
        // },
    };
}
